﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>TimeTracking</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    	<asp:LinqDataSource ID="TimeTrackingDataSource" runat="server" 
			ContextTypeName="BugBustersDataContextWeb" 
			EnableDelete="True"
			TableName="TimeTrackings"
			Select="new(TrackingID, Project.ProjectCode, TaskType.TaskTypeCode, User.WindowsLogin, StartTime, EndTime, EndTime.Subtract(StartTime).Ticks as Duration, Comment)"
			Where="UserId == @User || @User == 0" >
			<WhereParameters>
				<asp:ControlParameter ControlID="lstUsers" Name="User" PropertyName="SelectedValue" Type="Int32" />
			</WhereParameters>
		</asp:LinqDataSource>
		<asp:LinqDataSource ID="UserDataSource" runat="server" 
			ContextTypeName="BugBustersDataContextWeb" 
			TableName="Users" />
		<h1>Time Tracking</h1>
		<p>User: 
			<asp:DropDownList ID="lstUsers" runat="server" Width="20em" 
				DataSourceID="UserDataSource" DataTextField="WindowsLogin" 
				DataValueField="UserId" AutoPostBack="true">
				<asp:ListItem Value="0">All</asp:ListItem>
			</asp:DropDownList>
		</p>
		<p>
			<a id="lnkAddItem" href="javascript:var w = window.open('EditItem.aspx', '_blank', 'width=600,height=400,dependent=yes');">Add New Tracking Record…</a> 
			<a id="lnkHelp" href="javascript:var w = window.showModelessDialog('Help.aspx', '_blank', 'width=600,height=400');">Help…</a>
		</p>
		<asp:GridView ID="Result" runat="server" AllowPaging="True" 
			AllowSorting="True" AutoGenerateColumns="False" CellPadding="4" 
			DataSourceID="TimeTrackingDataSource" ForeColor="#333333" 
			GridLines="None">
			<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
			<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
			<Columns>
				<asp:BoundField DataField="ProjectCode" HeaderText="ProjectCode" ReadOnly="True"
					SortExpression="ProjectCode" />
				<asp:BoundField DataField="TaskTypeCode" HeaderText="TaskTypeCode" ReadOnly="True" 
					SortExpression="TaskTypeCode" />
				<asp:BoundField DataField="WindowsLogin" HeaderText="WindowsLogin" ReadOnly="True" 
					SortExpression="WindowsLogin" />
				<asp:BoundField DataField="StartTime" HeaderText="StartTime" ReadOnly="True" 
					SortExpression="StartTime" />
				<asp:BoundField DataField="EndTime" HeaderText="EndTime" ReadOnly="True" 
					SortExpression="EndTime" />
				<asp:TemplateField HeaderText="Duration" SortExpression="Duration">
					<ItemTemplate><asp:Literal Text= '<%# (new DateTime((Int64)Eval("Duration"))).ToString() %>' runat="server"/></ItemTemplate>
				</asp:TemplateField>
				<asp:BoundField DataField="Comment" HeaderText="Comment" ReadOnly="True" 
					SortExpression="Comment" />
				<asp:TemplateField HeaderText="Delete">
					<ItemTemplate>
						<asp:LinkButton CommandName="DeleteItem" CommandArgument='<%# Eval("TrackingID") %>' Text="Delete" runat="server" />
					</ItemTemplate>
				</asp:TemplateField>
			</Columns>
			<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
			<SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
			<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
			<EditRowStyle BackColor="#999999" />
			<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
		</asp:GridView>
    </div>
    </form>
	</body>
</html>

